- Qt 6.4
- Qt SCXML
- C++ Classes
- ForeachInfo
- Qt 6.4.3 Reference Documentation

# ForeachInfo Struct

struct QScxmlExecutableContent::ForeachInfo

The ForeachInfo class represents a foreach construct. More...

Header: | #include <ForeachInfo>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Scxml) target_link_libraries(mytarget PRIVATE Qt6::Scxml)
qmake: | QT += scxml
Since: | Qt 5.8

- List of all members, including inherited members

## Public Variables

StringId | array
StringId | context
StringId | index
StringId | item

## Detailed Description

## Member Variable Documentation

### StringId ForeachInfo::array

This variable holds the name of the array that is iterated over

### StringId ForeachInfo::context

This variable holds the context for evaluating the expression

### StringId ForeachInfo::index

This variable holds the name of the index variable

### StringId ForeachInfo::item

This variable holds the name of the iteration variable